QGIS Application - Bug report #17722
ASSERT: "expression4.hasEvalError()"
2017-12-19 11:09 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Tests Suite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25618
Description

Locally, I get this error upon running make check:

QFATAL : TestQgsExpression::represent_value() ASSERT: "expression4.hasEvalError()" in file
/usr/src/qgis/qgis-master/tests/src/core/testqgsexpression.cpp, line 436

I've debugged it and have a PR ready for review.

History

#1 - 2017-12-24 03:20 PM - Sandro Santilli

Pull request is here: https:/github.com/qgis/QGIS/pull/5912
Matthias Kuhn confirmed the error, when running locally, we're still trying to figure out why Travis succeeds

#2 - 2017-12-31 11:30 AM - Sandro Santilli
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Apparently fixed by commit:d01f947ef8761f0a477c2b323756e5{8d493049
